
TYPO3 Flow Base Distribution - Feature # 41989

Status: Resolved Priority: Should have
Created: 2012-10-14 Assigned To:
Subject: Assume integer values to be timestamps in DateTime converter
Description

The DateTime TypeConverter cannot transform integer values to a DateTime object
because of a strict check for string.

Additionally accept integer values and also assume plain digits to be a timestamp
and use "U" as date format if no additional configuration is given.

Associated revisions
Revision 4c800987 - 2012-11-08 11:37 - Helmut Hummel

[FEATURE] Allow integer value as timestamp in DateTimeConverter

The DateTime TypeConverter cannot transform integer values to
a DateTime object because of a strict check for string.

Accept integer values and also assume plain digits to be
a timestamp and use "U" as date format if no additional
configuration is given.

Additionally change the is_numeric() checks to ctype_digit()
as is_numeric() would also allow float values.

Change-Id: I7d9f129fa574922f62396d508a7d2579469637a5
Resolves: #41989
Releases: 1.2

History
#1 - 2012-10-14 17:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15611

#2 - 2012-10-14 17:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15611

#3 - 2012-10-14 17:37 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15611

#4 - 2012-10-15 18:13 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15611

#5 - 2012-11-08 11:38 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15611

#6 - 2012-11-08 17:35 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4c800987247b122a91eb3e2a599f2e8eb9ad57af.
